## plasma-widget-weatherforecast 1.3

=== CMakeLists.txt ===
# Project Needs a name ofcourse
project(plasma-weatherforecast)

#set(CMAKE_BACKWARDS_COMPATIBILITY 2.2)
 
# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
#find_package(Plasma REQUIRED)
 
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   ${QT_QTTEST_INCLUDE_DIR}
   )
 
# We add our source code here
set(weather_SRCS 
	plasma-simpleweatherforecast.cpp
        config.cpp)

# Now make sure all files get to the right place
kde4_add_ui_files(weather_SRCS config.ui)
kde4_add_plugin(plasma_applet_simpleweatherforecast ${weather_SRCS})
target_link_libraries(plasma_applet_simpleweatherforecast 
${QT_QTXML_LIBRARY} ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS})

# Build the tests
#kde4_add_unit_test( test_plasma_wifi test_plasma-wifi-signal.cpp )
#target_link_libraries( test_plasma_wifi plasma_applet_wifi_signal
#                      ${PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )
 
install(TARGETS plasma_applet_simpleweatherforecast
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-applet-simpleweatherforecast.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES
    plasma-simpleweatherforecast.svg
    DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

=== debian/changelog ===
plasma-widget-weatherforecast (1.3-0ubuntu2) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Switch to source format 3.0 (quilt).
  * Bump Standards-Version to 3.8.4, no changes needed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 19 May 2010 01:29:16 +0200

plasma-widget-weatherforecast (1.3-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Transition from kde.mk to dh --with-kde:
    - debian/compat: Bump compat version to 7
    - debian/control: Bump debhelper depend version to 7
    - debian/control: Remove cdbs build-dependency
    - debian/rules: Build with the dh7 kde addon
  * Bump Standards-Version to 3.8.3
  * Remove now-unnecessary replaces/conflicts on plasmoid-weatherforecast
  * Capitalize Plasma throughout the package description
  * Update maintainer to be the Ubuntu Developers

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 28 Dec 2009 15:51:32 -0500

plasma-widget-weatherforecast (1.2-0ubuntu3) karmic; urgency=low

  * Transition from libplasma-dev to kdelibs5-dev
    - debian/control: change libplasma-dev to kdelibs5-dev
  * Transition from kde4.mk to pkg-kde-tools
    - debian/rules: Change '/usr/share/cdbs/1/class/kde4.mk' to
     '/usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk'
    - debian/control: Build-Depend on 'pkg-kde-tools'
  * Drop cmake from build-deps
  * Bump Standards-Version to 3.8.1 

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Fri, 22 May 2009 22:32:05 +0200

plasma-widget-weatherforecast (1.2-0ubuntu2) jaunty; urgency=low

  * Rename plasmoid-* to plasma-widget-* to match upstream naming policy
    - Conflicts/replaces plasmoid-weatherforecast
    - Adjust package description

 -- Nathan Handler <nhandler@ubuntu.com>  Thu, 12 Feb 2009 01:34:03 +0000

plasmoid-weatherforecast (1.2-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #326748)

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sun, 08 Feb 2009 02:46:05 +0100

plasmoid-weatherforecast (0.8-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #296904)

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Tue, 11 Nov 2008 20:06:07 +0100

=== debian/control ===
Source: plasma-widget-weatherforecast
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>
Build-Depends: debhelper (>= 7.3.16),
               pkg-kde-tools (>= 0.5.0),
               cmake,
               kdelibs5-dev (>= 4:4.2.2)
Standards-Version: 3.8.4
Homepage: http://kde-look.org/content/show.php/weatherforecast?content=92149

Package: plasma-widget-weatherforecast
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: weather Plasma widget that shows the forecast and temperature
 This Plasma widget shows the temperature and weather forecast for the next two
 days.
